#ifndef PLOTDRAWER_H
#define PLOTDRAWER_H

#include <QObject>
#include <QThread>
#include <QImage>
#include <QPainter>

#include "Models/Engine/engine.h"

class PlotDrawer : public QThread
{
    Q_OBJECT
public:
    explicit PlotDrawer(QObject *parent = nullptr, QSize size = QSize(0,0), bool xyPlot = false);
    void setSize(QSize size) { m_size = size; }
    void run() override;

protected:
    QSize m_size;
    QImage* m_plotImage = nullptr;
    QImage* m_xyPlotImage = nullptr;
    bool m_xyPlot = false;
signals:
    void plotsComplete(QImage* plotImage);
};

#endif // PLOTDRAWER_H
