#ifndef RMCPLOTPIXELCOLUMN_H
#define RMCPLOTPIXELCOLUMN_H

#include <QtCore>
#include "rmcscalegroup.h"
#include "Utilities/graphicsmath.h"
#define RAIL_TO_RAIL_RATIO 0.95f

class RmcPlotPixelColumn
{
public:
    RmcPlotPixelColumn(qreal first, qreal highest, qreal lowest, qreal last, RmcScaleGroup* scaleGroup, qreal height, qreal x)
    {
        auto railToRail = scaleGroup->railToRail();
        qreal imageTop = railToRail ? 0 : (height * (1.0f - RAIL_TO_RAIL_RATIO));
        qreal imageBottom = railToRail ? height : (height * RAIL_TO_RAIL_RATIO);

        setFirst(remap(scaleGroup->topScale(), scaleGroup->bottomScale(), imageTop, imageBottom, first));
        setHighest(remap(scaleGroup->topScale(), scaleGroup->bottomScale(), imageTop, imageBottom, highest));
        setLowest(remap(scaleGroup->topScale(), scaleGroup->bottomScale(), imageTop, imageBottom, lowest));
        setLast(remap(scaleGroup->topScale(), scaleGroup->bottomScale(), imageTop, imageBottom, last));
        setX(x);
    }

    qreal first() { return m_first; }
    void setFirst(qreal first) { m_first = first; }

    qreal highest() { return m_highest; }
    void setHighest(qreal highest) { m_highest = highest; }

    qreal lowest() { return m_lowest; }
    void setLowest(qreal lowest) { m_lowest = lowest; }

    qreal last() { return m_last; }
    void setLast(qreal last) { m_last = last; }

    qreal x() { return m_x; }
    void setX(qreal x) { m_x = x; }

    qreal m_first;
    qreal m_highest;
    qreal m_lowest;
    qreal m_last;

    qreal m_x;
};

#endif // RMCPLOTPIXELCOLUMN_H
