#ifndef RMCPLOTQUANTITY_H
#define RMCPLOTQUANTITY_H

#include <QObject>
#include <QColor>
#include <QDebug>

class RmcPlotQuantity : public QObject
{
    Q_OBJECT
public:
    explicit RmcPlotQuantity(QObject *parent = nullptr);

    QString name() { return m_name; }
    void setName(QString name) { m_name = name; }

    QString formula() { return m_formula; }
    void setFormula(QString formula) { m_formula = formula; }

    QColor color() { return m_color; }
    void setColor(QColor color) { m_color = color; }

    QString type() { return m_type; }
    void setType(QString type) { m_type = type; }

    bool graphQuantity() { return m_graph; }
    void setGraphQuantity(bool graph) { m_graph = graph; }

    bool autoScale() { return m_autoScale; }
    void setAutoScale(bool autoScale) { m_autoScale = autoScale; }

    bool centerOn0() { return m_centerOn0; }
    void setCenterOn0(bool centerOn0) { m_centerOn0 = centerOn0; }

    qreal minRange() { return m_minRange; }
    void setMinRange(qreal minRange) { m_minRange = minRange; }

    qreal bottomScale() { return m_bottomScale; }
    void setBottomScale(qreal bottomScale) { m_bottomScale = bottomScale; }

    qreal topScale() { return m_topScale; }
    void setTopScale(qreal topScale) { m_topScale = topScale; }

    bool autoGroup() { return m_autoGroup; }
    void setAutoGroup(bool autoGroup) { m_autoGroup = autoGroup; }

    int scaleGroup() { return m_scaleGroup; }
    void setScaleGroup(int scaleGroup) { m_scaleGroup = scaleGroup; }



    bool userGraph() { return m_user_graph; }
    void setUserGraph(bool graph) { m_user_graph = graph; emit visibilityChanged(); }

private:
    // Values found in the RMCPLOTS/RMCPLOTX file
    QString m_name;
    QString m_formula;
    QColor m_color;
    QString m_type;

    bool m_graph;
    bool m_autoScale;
    bool m_centerOn0;

    qreal m_minRange = 1.0;
    qreal m_bottomScale = FLT_MAX;
    qreal m_topScale = FLT_MIN;

    bool m_autoGroup;
    int m_scaleGroup;

    // Values modified by the user while running the program
    bool m_user_graph = true;

signals:
    // emit when setUserGraph is called, and connect that to timeline stuff
    void visibilityChanged();
};

#endif // RMCPLOTQUANTITY_H
