#ifndef RMCSCALEGROUP_H
#define RMCSCALEGROUP_H

#include <QObject>

class RmcScaleGroup : public QObject
{
    Q_OBJECT
public:
    explicit RmcScaleGroup(QObject *parent = nullptr);

    qreal bottomScale() { return m_bottomScale; }
    void setBottomScale(qreal value) { m_bottomScale = value; }

    qreal topScale() { return m_topScale; }
    void setTopScale(qreal value) { m_topScale = value; }

    void setScales(qreal bottom, qreal top)
    {
        setBottomScale(bottom);
        setTopScale(top);
    }


    bool isBottomScaleExplicit() { return m_bottomScaleExplicit; }
    void setBottomScaleExplicit(bool value) { m_bottomScaleExplicit = value; }

    bool isTopScaleExplicit() { return m_topScaleExplicit; }
    void setTopScaleExplicit(bool value) { m_topScaleExplicit = value; }

    bool autoScale() { return m_autoScale; }
    void setAutoScale(bool value) { m_autoScale = value; }

    bool centerOn0() { return m_centerOn0; }
    void setCenterOn0(bool value) { m_centerOn0 = value; }

    bool railToRail() { return m_railToRail; }
    void setRailToRail(bool value) { m_railToRail = value; }

    qreal minRange() { return m_minRange; }
    void setMinRange(qreal value) { m_railToRail = value; }

private:
    qreal m_bottomScale = FLT_MAX;
    qreal m_topScale = FLT_MIN;
    bool m_bottomScaleExplicit = false;
    bool m_topScaleExplicit = false;
    bool m_autoScale = true;
    bool m_centerOn0 = false;
    bool m_railToRail = false;
    qreal m_minRange = 1.0;
};

#endif // RMCSCALEGROUP_H
