#include "svgcolorrenderer.h"

#include <QDebug>

SVGColorRenderer::SVGColorRenderer()
{

}

void SVGColorRenderer::loadSvg(QString path)
{
    QFile file(path);
    file.open(QIODevice::ReadOnly);
    auto data = file.readAll();
    m_svgString = QString(data).replace("fill=\"#000000\"", "fill=\"%1\" fill-opacity=\"%2\"");
}

QString SVGColorRenderer::getColoredSvg(QColor color, qreal opacity)
{
    QString s = color.name(QColor::HexRgb);
    return m_svgString.arg(s).arg(opacity);
}

void SVGColorRenderer::render(QPainter* painter, QColor color, QRectF rect, qreal opacity)
{
    if (rect.width() * rect.height() <= 0) return;
    auto str = getColoredSvg(color, opacity);
    QSvgRenderer renderer(str.toLocal8Bit());
    renderer.setAspectRatioMode(Qt::AspectRatioMode::KeepAspectRatio);
    painter->setBrush(color);
    renderer.render(painter, rect);
}
