#ifndef GRAPHICSMATH_H
#define GRAPHICSMATH_H

#include <QtGlobal>

inline qreal invLerp(qreal a, qreal b, qreal v)
{
    qreal numerator = v - a;
    qreal denominator = b - a;
    return numerator / denominator;
}

inline qreal lerp(qreal a, qreal b, qreal t)
{
    return (1.0 - t) * a + b * t;
}

inline qreal remap(qreal inL, qreal inR, qreal outL, qreal outR, qreal v)
{
    return lerp(outL, outR, invLerp(inL, inR, v));
}

#endif // GRAPHICSMATH_H
