#ifndef PLOTMATH_H
#define PLOTMATH_H

#include <QtGlobal>
#include <tuple>

#include "Models/Engine/engine.h"
#include "Utilities/PlotParsing/rmcplotquantity.h"

struct TickMarkData
{
    bool validData;

    qreal unitsPerGrid;
    int decPlaces;

    qreal bottomBound;
    qreal topBound;

    qreal startingTickLocation;
};

class PlotMath
{
public:

    enum class GridMultiple
    {
        DIV_1 = 1,
        DIV_2 = 2,
        DIV_5 = 5
    };

    static std::tuple<qreal, int> computeUnitsPerGrid(int cyPerInch, qreal dScale);
    static std::tuple<qreal, qreal, int, qreal> computeTimeScale(qreal dIntervalsPerPixel, int cyPerInch,
                                                                 qreal samplePeriod, int leftmostInt,
                                                                 int firstIntEver);

    static TickMarkData calculateTickMarks(RmcPlotQuantity *quantity, bool allowPadding = true,
                                           qreal cyPerInch = 1.5, qreal physicalSize = 100.0
                                           );
};

#endif // PLOTMATH_H
