QT       += core gui multimediawidgets svg
QT += help
QT += sql
QT += webenginewidgets
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17
#CONFIG += debug

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    "Views/AbstractViews/abstractplotview.cpp" \
    "Views/AbstractViews/abstracttyplotview.cpp" \
    "Views/AbstractViews/abstractxyplotview.cpp" \
    "Views/ControlView/controlview.cpp" \
    "Models/Engine/engine.cpp" \
    "Views/HelpWindow/helpwindow.cpp" \
    main.cpp \
    "Views/MainWindow/mainwindow.cpp" \
    myvideosurface.cpp \
    "Utilities/PlotDrawer/plotdrawer.cpp" \
    "Utilities/plotmath.cpp" \
    "Views/PropertiesPanel/propertiesview.cpp" \
    "Views/QuantitiesPanel/quantitypanelitem.cpp" \
    "Views/QuantitiesPanel/quantitypanelview.cpp" \
    "Utilities/PlotParsing/rmcplot.cpp" \
    "Utilities/PlotParsing/rmcplotfile.cpp" \
    "Utilities/PlotParsing/rmcplotitem.cpp" \
    "Utilities/PlotParsing/rmcplotquantity.cpp" \
    "Utilities/PlotParsing/rmcplotsample.cpp" \
    "Utilities/PlotParsing/rmcscalegroup.cpp" \
    "Views/SingleVideoView/singlevideoview.cpp" \
    "Utilities/SVGColorRenderer/svgcolorrenderer.cpp" \
    "Models/Timeline/timelineitem.cpp" \
    "Views/TimelineView/timelineview.cpp" \
    "Views/VideoView/videoview.cpp" \
    "Views/XYPlot/xyplotpanelview.cpp" \
    "Views/XYPlot/xyplotview.cpp"

HEADERS += \
    "Views/AbstractViews/abstractplotview.h" \
    "Views/AbstractViews/abstracttyplotview.h" \
    "Views/AbstractViews/abstractxyplotview.h" \
    "Utilities/Constants/colorconstants.h" \
    "Views/ControlView/controlview.h" \
    "Utilities/Constants/drawingconstants.h" \
    "Models/Engine/engine.h" \
    "Utilities/graphicsmath.h" \
    "Views/HelpWindow/helpwindow.h" \
    "Views/MainWindow/mainwindow.h" \
    myvideosurface.h \
    "Utilities/PlotDrawer/plotdrawer.h" \
    "Utilities/plotmath.h" \
    "Views/PropertiesPanel/propertiesview.h" \
    "Views/QuantitiesPanel/quantitypanelitem.h" \
    "Views/QuantitiesPanel/quantitypanelview.h" \
    "Utilities/PlotParsing/rmcplot.h" \
    "Utilities/PlotParsing/rmcplotfile.h" \
    "Utilities/PlotParsing/rmcplotitem.h" \
    "Utilities/PlotParsing/rmcplotpixelcolumn.h" \
    "Utilities/PlotParsing/rmcplotquantity.h" \
    "Utilities/PlotParsing/rmcplotsample.h" \
    "Utilities/PlotParsing/rmcscalegroup.h" \
    "Views/SingleVideoView/singlevideoview.h" \
    "Utilities/SVGColorRenderer/svgcolorrenderer.h" \
    "Models/Timeline/timelineitem.h" \
    "Views/TimelineView/timelineview.h" \
    "Views/VideoView/videoview.h" \
    "Views/XYPlot/xyplotpanelview.h" \
    "Views/XYPlot/xyplotview.h"

TRANSLATIONS += \
    VideoSyncCPP_en_US.ts
CONFIG += lrelease
CONFIG += embed_translations

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    Resources.qrc

INCLUDEPATH += "$$PWD/zlib/"
LIBS += -L"$$PWD/zlib/x64/Debug/" -l"zlib"

DISTFILES += \
    generate_docs.qdocconf \
    help/doc.qch \
    help/help.qhc \
    help/help_collection.qhc
