#include "controlview.h"

ControlView::ControlView(QWidget *parent) : QWidget(parent)
{
    m_primaryToolbar = new QToolBar(this);

    m_primaryLeftSpacer = new QWidget(this);
    m_primaryLeftSpacer->setSizePolicy(QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Expanding);
    m_primaryRightSpacer = new QWidget(this);
    m_primaryRightSpacer->setSizePolicy(QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Expanding);

    m_primaryToolbar->addWidget(m_primaryLeftSpacer);
    m_primaryToolbar->addActions(
                {
                    &Engine::engine->stepBackAction(),
                    &Engine::engine->playAction(),
                    &Engine::engine->stepForwardAction()
                });
    m_primaryToolbar->addSeparator();
    m_primaryToolbar->addAction(&Engine::engine->zoomOutAction());
    m_primaryToolbar->addAction(&Engine::engine->zoomInAction());
    m_primaryToolbar->addWidget(m_primaryRightSpacer);

    // Set up layout
    m_layout = new QVBoxLayout(this);
    m_layout->addWidget(m_primaryToolbar);

    setSizePolicy(QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Maximum);

    connect(Engine::engine, SIGNAL(positionChanged()), this, SLOT(onPositionChanged()));
}

void ControlView::onPositionChanged()
{
}
