#ifndef HELPWINDOW_H
#define HELPWINDOW_H

#include <QWidget>
#include <QApplication>
#include <QHelpEngine>
#include <QHelpContentWidget>
#include <QHelpIndexWidget>
#include <QWebEngineView>
#include <QSplitter>
#include <QVBoxLayout>
#include <QToolBar>
#include <QMessageBox>

class HelpWindow : public QWidget
{
    Q_OBJECT
public:
    explicit HelpWindow(QWidget *parent = nullptr);
    ~HelpWindow();

protected slots:
    void onLinkActivated(const QUrl& url);

private:
    QVBoxLayout* m_layout = nullptr;
    QHelpEngine* m_helpEngine = nullptr;
    QWebEngineView* m_helpWebEngineView = nullptr;
    QSplitter* m_helpSplitter = nullptr;
    QToolBar* m_toolbar = nullptr;
signals:

};

#endif // HELPWINDOW_H
