#ifndef PROPERTIESVIEW_H
#define PROPERTIESVIEW_H

#include <QWidget>
#include <QFormLayout>
#include <QLabel>
#include <QDoubleSpinBox>
#include <QComboBox>
#include <QGroupBox>

#include <QDebug>

#include "Models/Engine/engine.h"

class PropertiesView : public QWidget
{
    Q_OBJECT
public:
    explicit PropertiesView(QWidget *parent = nullptr);

public slots:
    void updateSelectedItem();
    void onSelectionChanged();
    void onUserChangedOffsetFromSpinBox(double value);

private:
    void updateWithVideoItem(TimelineItem* item);
    void updateWithPlotItem();
    void updateWithNothing();

    QFormLayout* m_layout;

    QLabel* m_titleLabel;
    QLabel* m_durationLabel;
    QDoubleSpinBox* m_offsetBox;
    QComboBox* m_plotBox;


signals:

};

#endif // PROPERTIESVIEW_H
