#ifndef QUANTITYPANELITEM_H
#define QUANTITYPANELITEM_H

#include <QTreeWidgetItem>
#include <QPainter>
#include <QIcon>
#include <QDebug>

#include "Utilities/PlotParsing/rmcplotquantity.h"
#include "Models/Engine/engine.h"

class QuantityPanelItem : public QObject, public QTreeWidgetItem
{
    Q_OBJECT
public:
    explicit QuantityPanelItem(QTreeWidget *parent = nullptr);
    RmcPlotQuantity* quantity() { return m_quantity; }

protected:
    void updateColorIcon(QColor c);
    static QPixmap* createColorIcon(QColor c);

public slots:
    void setQuantity(RmcPlotQuantity* quantity);
    void positionChanged();


protected:
    RmcPlotQuantity* m_quantity = nullptr;
    QPixmap* m_icon = nullptr;

signals:

};

#endif // QUANTITYPANELITEM_H
