#include "videoview.h"
#include <QDebug>
#include <QMediaPlayer>

VideoView::VideoView(QWidget *parent) : QSplitter(parent)
{
    connect(Engine::engine, SIGNAL(contentsChanged()), this, SLOT(onContentsChanged()));
    connect(Engine::engine, SIGNAL(positionChanged()), this, SLOT(onPositionChanged()));
}

void VideoView::setUpVideoWidgets()
{
    qDebug() << "Set up video widgets...";
    for (auto oldItem : qAsConst(m_videoWidgets))
    {
        oldItem->deleteLater();
    }
    m_videoWidgets.clear();

    for (int i = 0; i < Engine::engine->timelineItems().count() + 1; i++)
    {
        addVideoWidget(Engine::engine->timelineItem(i));
    }
}

void VideoView::addVideoWidget(TimelineItem* item)
{
    auto newVideoWholeWidget = new SingleVideoView(this, item);
    m_videoWidgets.append(newVideoWholeWidget);
    addWidget(newVideoWholeWidget);
}

void VideoView::mousePressEvent(QMouseEvent *event)
{
    QSplitter::mousePressEvent(event);
}

void VideoView::onContentsChanged()
{
    setUpVideoWidgets();
}

void VideoView::onPositionChanged()
{
}
