#ifndef VIDEOVIEW_H
#define VIDEOVIEW_H

#include <QWidget>
#include <QSplitter>
#include <QtMultimediaWidgets/QVideoWidget>
#include <QMouseEvent>
#include <QVBoxLayout>
#include <QLabel>

#include "Models/Engine/engine.h"
#include "Models/Timeline/timelineitem.h"
#include "Views/SingleVideoView/singlevideoview.h"

class VideoView : public QSplitter
{
    Q_OBJECT
public:
    explicit VideoView(QWidget *parent = nullptr);

    void setUpVideoWidgets();
    void addVideoWidget(TimelineItem* item);

    void mousePressEvent(QMouseEvent *event) override;

private:
    QList<SingleVideoView*> m_videoWidgets;

public slots:
    void onContentsChanged();
    void onPositionChanged();

signals:

};

#endif // VIDEOVIEW_H
