#include "xyplotpanelview.h"

XYPlotPanelView::XYPlotPanelView(QWidget *parent) : QWidget(parent)
{   
    m_plotView = new XYPlotView(this);

    m_quantityComboBox = new QComboBox(this);

    m_quantityLabel = new QLabel("X Axis Quantity:", this);
    m_quantityLabel->setAlignment(Qt::AlignmentFlag::AlignRight);

    m_layout = new QGridLayout(this);
    m_layout->addWidget(m_plotView, 0, 0, 1, 2);
    m_layout->addWidget(m_quantityLabel, 1, 0);
    m_layout->addWidget(m_quantityComboBox, 1, 1);

    // TODO: when quantities/plot change, update quantity combo box with the current quantities
    // Then make it send a signal to the XY plot to update when its value is changed
    connect(Engine::engine, &Engine::plotLoaded, this, &XYPlotPanelView::onCurrentPlotChanged);
    connect(m_quantityComboBox, QOverload<int>::of(&QComboBox::currentIndexChanged), [=](int index) { if (index >= 0) Engine::engine->setPlotXQuantityIndex(index); });
    connect(Engine::engine, &Engine::plotXQuantityIndexChanged, m_quantityComboBox, &QComboBox::setCurrentIndex);
}

void XYPlotPanelView::onCurrentPlotChanged()
{
    m_quantityComboBox->clear();

    // Populate the combo box with the quantities
    for (auto a : Engine::engine->currentPlot()->quantities())
    {
        m_quantityComboBox->addItem(a->name());
    }
}
