#ifndef XYPLOTVIEW_H
#define XYPLOTVIEW_H


#include "Views/AbstractViews/abstractxyplotview.h"
#include <QTimer>
#include "Models/Engine/engine.h"
#include "Utilities/PlotDrawer/plotdrawer.h"
#include "Utilities/plotmath.h"
#include "Utilities/graphicsmath.h"
#include "Utilities/Constants/colorconstants.h"
#include "Utilities/Constants/drawingconstants.h"

class XYPlotView : public AbstractXYPlotView
{
public:
    explicit XYPlotView(QWidget *parent = nullptr);

protected:
    void paintEvent(QPaintEvent *event) override;
    void resizeEvent(QResizeEvent* event) override;

    void drawHorizontalTickMarks(QPainter *painter);
    void drawHorizontalTickMark(QPainter *painter, qreal t, qreal value);

    void drawVerticalTickMarks(QPainter *painter);
    void drawVerticalTickMark(QPainter *painter, qreal t, qreal value);

    void drawCurrentValueDots(QPainter *painter);

    void drawVerticalQuantityColorBar(QPainter *painter);
    void drawHorizontalQuantityColorBar(QPainter *painter);

    QRect getPlotRect();

    PlotDrawer* m_plotDrawer;
    QImage* m_plotImage = nullptr;
    QTimer* m_redrawPlotTimer;

public slots:
    void onRedrawTimerExpired();
    void invalidatePlot();

protected slots:
    void onRedrawPlotsComplete(QImage *plotImage);
};

#endif // XYPLOTVIEW_H
